Package name.pachler.nio.file

# Class ClosedWatchServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
name.pachler.nio.file.ClosedWatchServiceException

All Implemented Interfaces:
  `Serializable`

public class ClosedWatchServiceException extends IllegalStateException
This exception is thrown by a WatchService method if that service has been closed. Typically, if WatchService.take() blocks because it is waiting for an event and another thread calls WatchService.close(), the thread waiting in take() will wake up, and a ClosedWatchServiceException is thrown.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClosedWatchServiceException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClosedWatchServiceException

public ClosedWatchServiceException()